import { Dispatch, SetStateAction, FC, ReactNode } from 'react';
declare type Toggle = Dispatch<SetStateAction<boolean>>;
interface Props {
    activeMessageId?: string;
    addToggle: (elementId: string, toggle: Toggle) => void;
    ackMessage: (id: string) => void;
    HighlightElement: any;
}
declare const useOnboard: () => Props;
export interface Message {
    readonly id: string;
    readonly elementIds?: Array<string>;
    readonly children: ReactNode;
}
declare type ShowCallback = ({ messageId, children, onAck }: {
    messageId: string;
    children: ReactNode;
    onAck: () => void;
}) => void;
declare type AckCallback = ({ messageId }: {
    messageId: string;
}) => void;
export declare const OnboardProvider: FC<{
    messages: Array<Message>;
    showCallback: ShowCallback;
    ackCallback: AckCallback;
    HighlightElement: any;
}>;
export { useOnboard };
